package com.ruoyi.warehouse.mapper;

import java.util.List;
import com.ruoyi.warehouse.domain.ProductInfo;

public interface ProductInfoMapper
{
    public List<ProductInfo> selectProductInfoList(ProductInfo productInfo);

    public List<ProductInfo> selectProductInfoAll();

    public ProductInfo selectProductInfoById(Long id);

    public ProductInfo checkProductCodeUnique(String productCode);

    public ProductInfo checkProductInfoUnique(ProductInfo productInfo);

    public int insertProductInfo(ProductInfo productInfo);

    public int updateProductInfo(ProductInfo productInfo);

    public int deleteProductInfoByIds(Long[] ids);
}
